Skip to main content
`Ctrl`+`K`

# TSTrajectoryRegister

Adds a way of storing trajectories to the `TS` package

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSTrajectoryRegister(const char sname[], PetscErrorCode (*function)(TSTrajectory, TS))

Not Collective, No Fortran Support

## Input Parameters

- sname - the name of a new user-defined creation routine

- function - the creation routine itself

## Note

`TSTrajectoryRegister()` may be called multiple times to add several user-defined tses.

## See Also

TS: Scalable ODE and DAE Solvers, `TSTrajectoryRegisterAll()`

## Level

developer

## Location

src/ts/trajectory/interface/traj.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages